// BSSDemoAppView.h : interface of the CBSSDemoAppView class
//


#pragma once


class CBSSDemoAppView : public CScrollView
{
protected: // create from serialization only
	CBSSDemoAppView();
	DECLARE_DYNCREATE(CBSSDemoAppView)

// Attributes
public:
	CBSSDemoAppDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CBSSDemoAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

    // Structure for visualization of image source
    struct
    {
        BITMAPINFOHEADER bmih;
        RGBQUAD          rgbPal[ 256 ];
    } m_BitmapInfo;


// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    virtual void OnInitialUpdate();
};

#ifndef _DEBUG  // debug version in BSSDemoAppView.cpp
inline CBSSDemoAppDoc* CBSSDemoAppView::GetDocument() const
   { return reinterpret_cast<CBSSDemoAppDoc*>(m_pDocument); }
#endif

